# digitalRead()

入力設定のポートの値を読み出す。

```cpp
static inline E_PIN_STATE digitalRead(uint8_t u8pin)
```

事前に入力に設定したピンの入力値を`LOW`または`HIGH`で得ます。

{% hint style="info" %}
`E_PIN_STATE`型から`int`型への変換演算子は定義していないため、数値型への直接的な代入はできません。
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/v0.1.7/api-reference/functions-1/dio/digitalread.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
